org.springframework.web.reactive.result.method.annotation

## Class PrincipalMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
  - - org.springframework.web.reactive.result.method.annotation.PrincipalMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver

    public class PrincipalMethodArgumentResolver
    extends HandlerMethodArgumentResolverSupport

Resolves method argument value of type `Principal`.

Since:
  5.2
Author:
  Rossen Stoyanchev
See Also:
  `ServerWebExchangeMethodArgumentResolver`

### Field Summary

### Fields inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`PrincipalMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.core.publisher.Mono<Object>` `resolveArgument(org.springframework.core.MethodParameter parameter, BindingContext context, org.springframework.web.server.ServerWebExchange exchange)` Resolve the value for the method parameter.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether this resolver supports the given method parameter.

### Methods inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`checkAnnotatedParamNoReactiveWrapper, checkParameterType, checkParameterTypeNoReactiveWrapper, getAdapterRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrincipalMethodArgumentResolver

    public PrincipalMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether this resolver supports the given method parameter.

Parameters:
  `parameter` - the method parameter

#### resolveArgument

    public reactor.core.publisher.Mono<Object> resolveArgument(org.springframework.core.MethodParameter parameter,
                                                               BindingContext context,
                                                               org.springframework.web.server.ServerWebExchange exchange)

Description copied from interface: `HandlerMethodArgumentResolver`
Resolve the value for the method parameter.

Parameters:
  `parameter` - the method parameter
  `context` - the binding context to use
  `exchange` - the current exchange
Returns:
  `Mono` for the argument value, possibly empty